package com.github.wxiaoqi.security.admin.mapper;

import com.github.wxiaoqi.security.admin.entity.AppUser;
import com.github.wxiaoqi.security.admin.entity.Group;
import org.apache.ibatis.annotations.Param;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;
import java.util.Set;

/**
 * @author keliii
 */
public interface AppUserMapper extends Mapper<AppUser> {
    List<Group> selectGroupsByAppUserId(Integer id);

    int insertAppUserGroup(@Param("appUserId") Integer appUserId, @Param("groups") Set<Integer> groups);

    int deleteAppUserGroup(Integer appUserId);
}
